DH_LISP(1)

NAME
dh_lisp - register Common Lisp source and implementations

SYNOPSIS
dh_lisp [debhelper options] [implementation]

DESCRIPTION
dh_lisp is a debhelper program that is responsible for registering Common Lisp source and implementations with the Common Lisp Controller.

For Common Lisp library packages dh_lisp will automatically generate the postinst and prerm commands needed to interface with the Common Lisp Controller. It also links the given ASDF system definitions appropriately. It takes into account all ASDs that you installed below usr/share/common-lisp/source (for example with dh_install(1)).

If dh_lisp finds precompiled files from CLISP, SBCL or CMUCL, it will add a dependency on the implementation that can read the FASL version used by the implementation currently installed. (this is most likely the one which built the binaries in the package)

If you supply implementation, dh_lisp automatically installs the implementation-specific script, which is expected to reside in debian/implementation.sh. dh_lisp automatically generates the necessary maintainer scripts to register the implementation with the Common Lisp Controller.

OPTIONS

-n, --noscripts
    do not add to maintainer scripts

-d  do not generate dependencies on implementations for binary files in the package

implementation
    Install the debian/implementation.sh script and generate maintainer scripts to (un)register implementation at the Common Lisp Controller.

NOTES
Note that this command is not idempotent. "dh_clean -k" should be called between invocations of this command. Otherwise, it may cause multiple instances of the same text to be added to maintainer scripts.

SEE ALSO
debhelper(7),

The Common Lisp in Debian Manual: http://cl-debian.alioth.debian.org/clid/

AUTHOR
René van Bevern <rvb@debian.org>